@echo off               

set problem=game
set author=dk_stack

echo Generating tests...
rem cd src
rem python genTests.py
rem cd ..

rem dcc32 -U..\lib -cc check.dpr

echo Generating answers...
javac %problem%_%author%.java
g++ -o %problem%_%author%.exe -Wall %problem%_%author%.cpp

for %%i in (tests\??) do (
	echo Test %%i
	copy %%i %problem%.in > nul 
	java -Xmx256M -Xss64M %problem%_%author%
rem	%problem%_%author%.exe
rem	a.exe
	copy %problem%.out %%i.a > nul
	echo Check Test %%i
	check %%i %%i.a %%i.a
)
            
